> For the complete documentation index, see [llms.txt](https://docs.adyntel.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adyntel.com/ad-libraries/tiktok-ad-details.md).

# TikTok ad details

{% hint style="success" %}
You first need to create an account, you can sign up [here](https://app.adyntel.com/signup) to receive 50 credits to test it out.
{% endhint %}

The TikTok endpoint allows you to see all the details of a specific ad.

{% hint style="warning" %}
This endpoint needs an "id" that you get in the response from the [TikTok search](/ad-libraries/tiktok-search.md) endpoint.
{% endhint %}

##

## API endpoint

<mark style="color:green;">`POST`</mark> `api.adyntel.com/tiktok_ad_details`

*Get all the details for an ad on TikTok using the ad id as the starting point.*

### Headers <a href="#headers" id="headers"></a>

<table><thead><tr><th>Name</th><th>Value</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td><td>true</td></tr></tbody></table>

### &#x20;<a href="#undefined" id="undefined"></a>

### Body <a href="#body" id="body"></a>

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td><code>api_key</code></td><td>string</td><td>Adyntel API key</td><td>true</td></tr><tr><td><code>email</code></td><td>number</td><td>Adyntel account email</td><td>true</td></tr><tr><td><code>id</code></td><td>number</td><td>Ad id</td><td>true</td></tr></tbody></table>

### Example request

You can get the ID from the response you receive from the TikTok search endpoint.

```
{
    "api_key": "hd-nndgi7gy6b3kdsgd-a",
    "email": "elon@tesla.com",
    "id": "1816440843906114"
}
```

### Example response

```
{
    "code": 0,
    "data": {
        "ad": {
            "audit_status": "1",
            "estimated_audience": "100K-200K",
            "first_shown_date": 1732665600000,
            "id": "1816831112281202",
            "image_urls": [
                "https://p21-ad-sg.ibyteimg.com/origin/tos-alisg-p-0051c001-sg/ok3dA3fBoE9pmOzBhXRLlosyGAwAui9SiD07Iw"
            ],
            "impression": 0,
            "last_shown_date": 1733702400000,
            "name": "elevateshoes",
            "rejection_info": null,
            "show_mode": 1,
            "sor_audit_status": "1",
            "spent": "",
            "type": "2",
            "videos": [
                {
                    "cover_img": "https://p21-ad-sg.ibyteimg.com/origin/tos-alisg-p-0051c001-sg/ok3dA3fBoE9pmOzBhXRLlosyGAwAui9SiD07Iw",
                    "video_url": "https://library.tiktok.com/api/v1/cdn/1734464111/video/aHR0cHM6Ly92MTZtLnRpa3Rva2Nkbi5jb20vMTdlOThhMDI5NzA0YTE0YTFjY2U1NGVhMzI5MjExNjUvNjc2MjI3MDkvdmlkZW8vdG9zL2FsaXNnL3Rvcy1hbGlzZy12ZS0wMDUxYzAwMS1zZy9vd0hFd2k5UW05M0l6QVhmR2xMb0p5eFBkczlCQkFpN29oYUEyTy8=/ed57d125-b946-4379-8694-22c1c56f77be?a=475769&bti=PDU2NmYwMy86&ch=0&cr=0&dr=1&cd=0%7C0%7C0%7C0&cv=1&br=2126&bt=1063&cs=0&ds=1&ft=.NpOcInz7Thejh8OXq8Zmo&mime_type=video_mp4&qs=0&rc=Zzs2NTlnNTU1OjVmNDpkZ0BpamZ2cXc5cnc4dzMzODYzNEAzY2MuNWBiXjMxMy5gNDZjYSMycWJkMmRzcTBgLS1kMC1zcw%3D%3D&vvpl=1&l=20241217193509589C44FCF926E6EC3DFA&btag=e00088000&cc=3"
                }
            ]
        },
        "advertiser": {
            "adv_biz_ids": "7401666423417765905",
            "name": "elevateshoes",
            "registry_location": "Germany",
            "sponsor": "elevateshoes",
            "tt_user": null
        },
        "targeting": {
            "age": [
                {
                    "13-17": false,
                    "18-24": true,
                    "25-34": true,
                    "35-44": true,
                    "45-54": true,
                    "55+": true,
                    "region": "AT"
                },
                {
                    "13-17": false,
                    "18-24": true,
                    "25-34": true,
                    "35-44": true,
                    "45-54": true,
                    "55+": true,
                    "region": "DE"
                }
            ],
            "audience": "No",
            "creator_interactions": "",
            "gender": [
                {
                    "female": true,
                    "male": true,
                    "region": "AT",
                    "unknown": true
                },
                {
                    "female": true,
                    "male": true,
                    "region": "DE",
                    "unknown": true
                }
            ],
            "interest": "",
            "location": {
                "data": [
                    {
                        "impressions": "27K",
                        "region": "AT"
                    },
                    {
                        "impressions": "116K",
                        "region": "DE"
                    }
                ],
                "total_impressions": "100K-200K",
                "total_region": 2
            },
            "target_audience_size": "21.9M-26.8M",
            "video_interactions": ""
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adyntel.com/ad-libraries/tiktok-ad-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
